import { GraphEdge, NodeChange, EdgeChange, UseEdgesStateOptions, UseEdgesState, GraphNode, UseNodesStateOptions, UseNodesState, UseElementsStateOptions, UseElementsState } from "../types";
export declare const applyEdgeChanges: (changes: EdgeChange[], edges: GraphEdge[]) => GraphEdge<any, any>[];
export declare const applyNodeChanges: (changes: NodeChange[], nodes: GraphNode[]) => GraphNode<any>[];
export declare const useEdgesState: ({ edges, options }?: UseEdgesStateOptions) => UseEdgesState;
export declare const useNodesState: ({ nodes, options }?: UseNodesStateOptions) => UseNodesState;
export declare const useElementsState: ({ edges, nodes, options }?: UseElementsStateOptions) => UseElementsState;
